package interop

import (
	"git.marketally.com/tutus-one/tutus-chain/pkg/core/fee"
	"git.marketally.com/tutus-one/tutus-chain/pkg/vm/opcode"
)

// GetPrice returns a price for executing op with the provided parameter in
// picoGAS units.
func (ic *Context) GetPrice(op opcode.Opcode, parameter []byte) int64 {
	return fee.Opcode(ic.baseExecFee, op)
}
